Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Get agent chat

GET /api/agents/conversations

Read your private Agent Teams chat messages, turn status and live results. Does not run hosted AI.

Parameters

workspaceId
string
No description.
conversationIdrequired
string
No description.
after
integer
No description.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/agents/conversations?conversationId=00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"conversations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"kind": {
"type": "string"
},
"preferences": {
"type": "object",
"additionalProperties": true
}
},
"required": [
"id",
"title",
"kind"
]
}
},
"selected": {
"type": [
"object",
"null"
],
"additionalProperties": true
},
"messages": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
},
"turns": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
},
"liveReplies": {
"type": "object",
"additionalProperties": true
}
},
"required": [
"conversations",
"selected",
"messages",
"turns",
"liveReplies"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline